    //-SLIDE 9--------------------------------------------------------------------
    //
    // Critical Section Object
    //

    //
    // Initialize a critical section before using it
    //

    InitializeCriticalSection(&CriticalSection);

    //
    // Use EnterCriticalSection to aquire ownership
    //

    EnterCriticalSection(&CriticalSection);


    //
    // When you are done in your single threaded region, use LeaveCriticalSection
    //

    LeaveCriticalSection(&CriticalSection);


    //
    // Use DeleteCriticalSection when you are done with the object
    //

    DeleteCriticalSection(&CriticalSection);



