    //-SLIDE 6--------------------------------------------------------------------
    //
    // Setting a processes priority class
    //

    //
    // Idle Class base is 4
    //

    SetPriorityClass(GetCurrentProcess(),IDLE_PRIORITY_CLASS);

    //
    // Normal Class base is 9, 8, or 7 depending on foreground/background,
    // and setting of tasking options in system control panel applet
    //

    SetPriorityClass(GetCurrentProcess(),NORMAL_PRIORITY_CLASS);

    //
    // High Class base is 13
    //

    SetPriorityClass(GetCurrentProcess(),HIGH_PRIORITY_CLASS);

    //
    // Realtime Class base is 24
    //

    SetPriorityClass(GetCurrentProcess(),REALTIME_PRIORITY_CLASS);


    //-SLIDE 6--------------------------------------------------------------------
    //
    // Setting a threads priority within a class
    //

    //
    // Highest is base of class + 2 points
    //

    SetThreadPriority(GetCurrentThread(),THREAD_PRIORITY_HIGHEST);

    //
    // Above Normal is base of class + 1 points
    //

    SetThreadPriority(GetCurrentThread(),THREAD_PRIORITY_ABOVE_NORMAL);

    //
    // Normal is base of class
    //

    SetThreadPriority(GetCurrentThread(),THREAD_PRIORITY_NORMAL);

    //
    // Below Normal is base of class - 1 point
    //

    SetThreadPriority(GetCurrentThread(),THREAD_PRIORITY_BELOW_NORMAL);

    //
    // Lowest is base of class - 2 points
    //

    SetThreadPriority(GetCurrentThread(),THREAD_PRIORITY_LOWEST);

    //
    // Idle is 1 for Dynamic (idle, normal, high) and 16 for Realtime
    //

    SetThreadPriority(GetCurrentThread(),THREAD_PRIORITY_IDLE);

    //
    // Time critical is 15 for Dynamic (idle, normal, high) and 31 for Realtime
    //

    SetThreadPriority(GetCurrentThread(),THREAD_PRIORITY_TIME_CRITICAL);
